System requirements

Support for third-party products

To receive full support for a BMC product, you must have that product installed in a supported environment, as specified in the BMC product documentation. If a third-party vendor cancels support for one of its products (such as an operating system or subsystem), and that third-party product integrates or interacts with the BMC product you have licensed, you must upgrade to a supported version of that third-party product before BMC Customer Support can provide you with support for the affected BMC product. For further information, see BMC's product support policy.

This topic lists the minimum requirements and supported resources for PATROL for Scripting.

Note

To get complete compatibility information for PATROL for Scripting, use the BMC Solution and Product Availability and Compatibility Utility on the Product Availability and Compatibility page.

Before installing PATROL for Scripting, verify that the target computer meets the installation requirements listed in the following table.

Related topics

Supported BMC products

ResourceRequirements
PATROL Agent
  • 10.0.00
  • 10.7.00
  • 11.0.00
  • 11.3.01
PATROL Installation Utility
  • 10.7.00
  • 11.0.00
  • 11.3.00
TrueSight console
  • TrueSight Infrastructure Management 10.5.00
  • TrueSight Infrastructure Management 10.7.00
  • TrueSight Infrastructure Management 11.0.00
Language requirementsTo support Linux Simplified Chinese platform, the monitoring system on which PATROL Agent is running and the remote device that is configured to execute scripts must run on same locale (zh_CN.gbk or zh_CN.utf8). Note that PATROL Classic Console does not support zh_CN.utf8 locale.
PATROL Configuration Manager1.7.00 and above

Supported operating systems: Windows PowerShell

Operating systemSupported versions
Microsoft Windows Server
  • Microsoft Windows Server 2019, x86-64
  • Microsoft Windows Server 2019 Core, x86-64
  • Microsoft Windows Server 2016, x86-64
  • Microsoft Windows Server 2012 R2 Core, x86-64
  • Microsoft Windows Server 2012 R2, x86-64
  • Microsoft Windows Server 2012, x86-64
.NET

3.5 and later (for Windows PowerShell monitor type configuration)

Microsoft Windows Server 2019 supports .NET version 4.7

Supported operating systems: OS command line execution (Local)

Operating systemSupported versionsComments
Microsoft Windows Server
  • Microsoft Windows Server 2019, x86-64
  • Microsoft Windows Server 2019 Core, x86-64
  • Microsoft Windows Server 2016, x86-64
  • Microsoft Windows Server 2012 R2 Core, x86-64
  • Microsoft Windows Server 2012 R2, x86-64
  • Microsoft Windows Server 2012, x86-64

Red Hat Enterprise Linux
  • Red Hat Enterprise Linux 5.x, x86-64,Itanium, IBM® zSeries®, 64-bit
  • Red Hat Enterprise Linux 6.1 to 6.9, x86-64, IBM® zSeries®, 64-bit
  • Red Hat Enterprise Linux 6.10, x86-64
  • Red Hat Enterprise Linux 7.x, x86-64, IBM® zSeries®, 64-bit, PPC64LE
  • The zSeries system is not supported in Simplified Chinese, Traditional Chinese, Korean, Japanese, French, and German languages.
  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executable.
  • Red Hat Enterprise Linux 5.x is supported up to version 5.11. Red Hat Enterprise Linux 5.11 is not supported on Itanium platforms.
  • Red Hat Enterprise Linux 6.10 is supported only on x86_64
  • Red Hat Enterprise Linux 7.x is supported up to version 7.5
  • Red Hat Enterprise Linux 7.5 is supported up to kernel version 3.x
  • IBM® zSeries® here indicates s390x architecture.
SUSE Linux Enterprise Server
  • SUSE Linux Enterprise Server 10, x86-64, Intel Itanium, IBM® zSeries®
  • SUSE Linux Enterprise Server 11, x86-64, Intel Itanium, IBM® zSeries®
  • SUSE Linux Enterprise Server 12, x86-64, Intel Itanium, IBM® zSeries®, PPC64LE
  • This operating system is not supported in CTJKFG.
  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executable.
  • SUSE Linux Enterprise Server 10 is supported up to Service Pack 4.
  • SUSE Linux Enterprise Server 11 is supported up to Service Pack 4.
  • SUSE Linux Enterprise Server 12 (IBM POWER 8 little endian) - Supported Kernel version 4.x
  • SUSE Linux Enterprise Server 12 (IBM POWER 8 little endian) is supported up to Service Pack 2
  • SUSE Linux Enterprise Server 12 (x86-64) is supported up to Service Pack 3
  • SUSE Linux Enterprise Server 12 (IBM® zSeries®) is supported up to Service Pack 3
UbuntuUbuntu 16.04 (64-bit)
IBM AIXIBM® AIX® 7.x, 64-bit hardware, 64-bit kernel, 64-bit ABIIBM® AIX® 7.x is supported up to version 7.3
Oracle Enterprise Linux
  • Oracle Enterprise Linux 7.x x86-64
  • Oracle Enterprise Linux 6.x, x86-64
  • Oracle Enterprise Linux 7.x is supported up to version 7.5
  • Oracle Enterprise Linux 6.x is supported up to version 6.9
Oracle SolarisOracle Solaris 11, x86-64, 64-bit, SPARC

Oracle Solaris is supported till version 11.3

Debian
  • Debian 9.4.00 (stretch) 64-bit
  • Debian 9.5.00 (stretch) 64-bit
  • Debian 9.1, x86_64
  • Debian 8.11.00 (jessie) 64-bit
  • Debian 8.10.00 (jessie) 64-bit
  • Debian 8.9.00 (jessie) 64-bit
  • Monitoring of Debian operating system is supported only by the BMC PATROL Script Language (PSL) data collection method. 
  • Therefore, BMC recommends that while installing BMC PATROL solution for UNIX and Linux on Debian, do not install BMC PATROL Perform Data Collector.
  • Clear the Perform Data Collector checkbox in the Product Selection list on the Select Products and Components to Install page. 
  • If you install BMC PATROL Perform Data Collector, you must manually switch to the PSL method. 
  • To switch to the PSL method, in the PATROL console, right-click UNIX_OS and select Knowledge Module Admin > Toggle PSL/DCM Collection.
CentOS
  • CentOS 7.x (x86-64)
  • CentOS 6.x (x86-64)
  • CentOS 7.x is supported up to version 7.5
  • CentOS 6.x is supported up to version 6.9

Supported operating systems: LINUX-UNIX shell script

Operating systemSupported versionsComments
Java Runtime Environment (JRE)

Supports any of the following Java versions:

  • Oracle Java 8.x
  • OpenJDK 8.x
  • OpenJDK 11.x

Note: For the latest announcement on BMC’s Java Support policies for TrueSight monitoring solutions, see Java support for TrueSight monitoring solutions

Java Runtime Environment (JRE) is available as a solution in the Infrastructure Management - PATROL Repository.
Microsoft Windows Server
  • Microsoft Windows Server 2019, x86-64
  • Microsoft Windows Server 2019 Core, x86-64
  • Microsoft Windows Server 2016, 64-bit
  • Microsoft Windows Server 2012, R2 64-bit
  • Microsoft Windows Server 2012, 64-bit


Debian
  • Debian 9.5.00 (stretch), x86_64
  • Debian 8.11.00 (jessie), x86_64

Red Hat Enterprise Linux
  • Red Hat Enterprise Linux 7.x, x86_64, s390x

  • Red Hat Enterprise Linux 6.x, x64

  • Red Hat Enterprise Linux 7.x is supported up to version 7.6
  • Red Hat Enterprise Linux 6.x is supported up to version 6.10
SUSE Linux Enterprise ServerSUSE 12, Sp3, x86_64, IBM® zSeries®
Oracle Enterprise Linux
  • Oracle Enterprise Linux 7.4, x86_64
  • Oracle Enterprise Linux 7.5, x86_64
Oracle Enterprise Linux 7.5 is supported with the following kernel packages:
  • Unbreakable Enterprise Kernel (UEK) Release 4 (kernel-uek-4.1.12-112.16.4.el7uek) for x86-64

  • Red Hat Compatible Kernel (kernel-3.10.0-862.el7) for x86-64

CentOS
  • CentOS 7.4, x86-64
  • CentOS 7.6, x86-64

UbuntuUbuntu 18.04, LTS, x86-64


Was this page helpful? Yes No Submitting... Thank you

Comments